Disappointed that IOS 12 is needed

Any discussions around the Gospel Living App on various mobile devices.
grahamf72
New Member
Posts: 16
Joined: Sat May 28, 2011 5:07 pm

Disappointed that IOS 12 is needed

Postby grahamf72 » Fri Feb 14, 2020 10:49 pm

So I got a notification this morning that the app was available, so jumped on to download it. I went to install it on the kids phones, to discover it needed IOS 12. My kids get the old phones after my wife and I upgrade. There’s an iPhone 5 and 2 iPhone 4s’s, and none of them can use the app. Surely we aren’t the only household that doesn’t regularly buy new iPhones for our kids, but just gives them the older phones. Looking at the phones the other kids in the ward bring to classes, they are mostly all in the same boat - mostly using old iPhone 4/5 models.

The app is aimed at Children and Youth, but unless they are lucky enough to have a latest model phone they can’t use it. I’m certainly not going to go out and buy $1000 new phones for all the kids. The decision to target only the most recent iPhones is a major design failure.

russellhltn
Community Administrator
Posts: 28523
Joined: Sat Jan 20, 2007 2:53 pm
Location: U.S.

Re: Disappointed that IOS 12 is needed

Postby russellhltn » Sat Feb 15, 2020 1:22 am

grahamf72 wrote:The decision to target only the most recent iPhones is a major design failure.

If I'm reading the charts right, the newest unsupported device was discontinued almost 5 and a half years ago. That's quite a bit of time for a mobile device.

There are a number of technical issues that come up. This app needs to communicate securely with church servers, so the OS has to be able to support API and protocols that do what they want it to do and are still considered secure.

Even if possible, trying to support an older version adds that much more to coding, development and testing. As it was, the app was about a month late. How much time should be spent to support an OS that is likely to be a non-issue in 6-12 months as opposed to "future proofing" it by using modern coding? That time is not free.
Have you searched the Help Center? Try doing a Google search and adding "site:churchofjesuschrist.org/help" to the search criteria.

So we can better help you, please edit your Profile to include your general location.

User avatar
sbradshaw
Senior Member
Posts: 4925
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: Disappointed that IOS 12 is needed

Postby sbradshaw » Tue Feb 18, 2020 11:53 am

The Gospel Living app is not a requirement for the Children and Youth program. However, not all leaders understand that – so there might be some education required to make sure that announcements or other things get out to all of the youth, including those who don't have the Gospel Living app.
Samuel Bradshaw • If you desire to serve God, you are called to the work.

grahamf72
New Member
Posts: 16
Joined: Sat May 28, 2011 5:07 pm

Re: Disappointed that IOS 12 is needed

Postby grahamf72 » Sun Feb 23, 2020 4:34 pm

I am aware that it is not a requirement, and also aware that the unsupported devices are quite old. But after discussing it in yesterday’s youth classes, our ward is in the situation where 4 of the 10 active Young Women, and 1 of the 8 active Young Men are able to use it, yet all have devices.

With such a low number able to use it, it loses much of its usefulness. We had visions of circles being a very handy tool for leaders to stay in touch with the youth, that we could use a specific-for-purpose church app instead of 3rd party solutions, but not to be. We will pretty much have to continue using things like Facebook where any inspirational messages are likely to get lost amongst the junk.

In a way, it defeats the whole purpose of the app which is primarily aimed at children and youth. May as well shift the target audience to EQ, RS, and leadership, since they are the ones able to use it.

russellhltn
Community Administrator
Posts: 28523
Joined: Sat Jan 20, 2007 2:53 pm
Location: U.S.

Re: Disappointed that IOS 12 is needed

Postby russellhltn » Sun Feb 23, 2020 4:46 pm

I'd send feedback via the app. There is no guarantee that the developers will see it here.
Have you searched the Help Center? Try doing a Google search and adding "site:churchofjesuschrist.org/help" to the search criteria.

So we can better help you, please edit your Profile to include your general location.

drepouille
Senior Member
Posts: 2389
Joined: Sun Jul 01, 2007 5:06 pm
Location: Plattsmouth, NE
Contact:

Re: Disappointed that IOS 12 is needed

Postby drepouille » Sun Feb 23, 2020 5:09 pm

If Apple products are too expensive, then perhaps cheaper Android cell phones or tablets would help?
Dana Repouille, Plattsmouth, Nebraska

russellhltn
Community Administrator
Posts: 28523
Joined: Sat Jan 20, 2007 2:53 pm
Location: U.S.

Re: Disappointed that IOS 12 is needed

Postby russellhltn » Sun Feb 23, 2020 8:23 pm

The older the phone, the more likely that a trickle-down upgrade will happen before long.

If they want to stick with Apple, used older iPhones can be pretty cheap.
Have you searched the Help Center? Try doing a Google search and adding "site:churchofjesuschrist.org/help" to the search criteria.

So we can better help you, please edit your Profile to include your general location.

Crisisman
New Member
Posts: 1
Joined: Mon Feb 24, 2020 12:58 am

Re: Disappointed that IOS 12 is needed

Postby Crisisman » Mon Feb 24, 2020 12:59 am

drepouille wrote:If Apple products are too expensive, then perhaps cheaper Android cell phones or tablets would help?

What version of Andriod is required? My daughter's phone says it's not compatible in the store and I'm wondering how much of an upgrade is going to be needed for her to use the app.

russellhltn
Community Administrator
Posts: 28523
Joined: Sat Jan 20, 2007 2:53 pm
Location: U.S.

Re: Disappointed that IOS 12 is needed

Postby russellhltn » Mon Feb 24, 2020 1:06 am

Crisisman wrote:What version of Andriod is required? My daughter's phone says it's not compatible in the store and I'm wondering how much of an upgrade is going to be needed for her to use the app.

According to the Play Store, "Requires Android 5.0 and up". That should cover anything sold as new today.

That's also the same requirement for Member Tools as well as getting the current version of Gospel Library.

The two low-end phones ($150) I looked at are both running Android 9.
Have you searched the Help Center? Try doing a Google search and adding "site:churchofjesuschrist.org/help" to the search criteria.

So we can better help you, please edit your Profile to include your general location.

drepouille
Senior Member
Posts: 2389
Joined: Sun Jul 01, 2007 5:06 pm
Location: Plattsmouth, NE
Contact:

Re: Disappointed that IOS 12 is needed

Postby drepouille » Mon Feb 24, 2020 5:42 am

Yup. I will be replacing my Android 7 LG phone tomorrow with an Android 9 LG phone for $129.
Dana Repouille, Plattsmouth, Nebraska


Return to “Gospel Living App”

Who is online

Users browsing this forum: No registered users and 1 guest